import request from '@/utils/request'

// 单据状态： 1 未成交 2 成交 3 作废
export function shouhuo(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据_作废',
      param: '外协加工任务单流水号=' + num + '&单据状态=3'
    }
  })
}
// 初始化获取已生成的外协加工任务单初始化获取已生成的外协加工任务单
export function getTable(checked, contractNumber, checked1, manufacturers, checked2, time1, time2, num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_外协加工任务单_查询数据_查询页',
      param: '外协加工任务单_check=0&外协加工任务单流水号=null&表单号_check=' + checked + '&表单号=' + contractNumber + '&外协厂家_check=' + checked1 + '&外协厂家=' + manufacturers + '&任务下达日期_时间段=' + checked2 + '&开始时间=' + time1 + '&结束时间=' + time2 + '&单据状态_check=0&单据状态=1&外协员编号_check=0&外协员编号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 初始化获取外协厂家数据
export function getData1() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_外协厂家_查询数据'
    }
  })
}
// 初始化获取已预算价格，未选入到外协加工任务单的零件
export function getTable1(check, partNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询数据_外协_新',
      param: '零件图号_check=' + check + '=int&零件图号=' + partNumber + '=string'
    }
  })
}
// 获取零件工序信息（零件号表中）
export function getprocedure(processPlan, single) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_根据工艺计划流水号_工艺名称简称_新',
      param: '工艺计划流水号=' + processPlan + '=int&单件是否外协=' + single + '=int'
    }
  })
}
// 外协厂家查询
export function searchManufactor(name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_外协厂家_查询数据_ 根据条件',
      param: '序号_check=0=bit&序号=' + ' ' + '=string&外协厂家名称_check=1=bit&外协厂家名称=' + name + '=string&外协厂家简称_check=0=bit&外协厂家简称=' + ' ' + '=string&地址_check=0=bit&地址=' + ' ' + '=string&联系人_check=0=bit&联系人=' + ' ' + '=string&电话_check=0=bit&电话=' + ' ' + '=string&传真_check=0=bit&传真=' + ' ' + '=string&备注_check=0=bit&备注=' + ' ' + '=string&类别_check=0=bit&类别=' + ' ' + '=string&关注_check=0=bit&关注=' + ' ' + '=string&设备情况_check=0=bit&设备情况=' + ' ' + '=string'
    }
  })
}
export function spareParts(processNum, single) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_根据工艺计划流水号_全部_新',
      param: '工艺计划流水号=' + processNum + '=int&工序数量=21=int&单件是否外协=' + single + '=int'
    }
  })
}
// 暂未启用
export function spareParts1(processNum, single) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_根据工艺计划流水号_全部_新',
      param: '工艺计划流水号=' + processNum + '=int&工序数量=31=int&单件是否外协=' + single + '=int'
    }
  })
}
// 新建外协加工任务单
export function addTable(contractNumber, personNum, manufacturers, time, freight) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_增加数据',
      param: '表单号=' + contractNumber + '=string&外协计划员编号=' + personNum + '&外协厂家=' + manufacturers + '=int&任务下达日期=' + time + '=string&运费=' + freight + '=int'
    }
  })
}
// 外协加工任务单修改
export function editData(Number, manufacturers, freight, documentStatus, sign, Explain) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据',
      param: '外协加工任务单流水号=' + Number + '=int&外协厂家=' + manufacturers + '=int&运费=' + freight + '=int&单据状态=' + documentStatus + '=int&入库标志=' + sign + '=int&扣款说明=' + Explain
    }
  })
}
// 成交
export function editData1(Number, manufacturers, freight, documentStatus, sign, Explain) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据',
      param: '外协加工任务单流水号=' + Number + '=int&外协厂家=' + manufacturers + '=int&运费=' + freight + '=int&单据状态=' + documentStatus + '=int&入库标志=' + sign + '=int&扣款说明=' + Explain + '&扣款_质量=0&扣款_计划=0&扣款_其他=0'
    }
  })
}
// 删除外协加工任务单
export function deleteData(Number) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_删除数据',
      param: '外协加工任务单流水号=' + Number + '=int'
    }
  })
}
// 移除零件
export function deleteData1(Number) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单_修改数据_作废',
      param: '外协加工任务单明细流水号=' + Number + '&单据状态=4'
    }
  })
}
// 选入零件
export function insertParts(processNum, Number) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单明细_增加数据',
      param: '外协加工任务单流水号=' + Number + '=int&工艺计划流水号=' + processNum + '=int'
    }
  })
}
// 查询任务单明细
export function getParts(Number) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_外协加工任务单明细_查询数据',
      param: '外协加工任务单流水号=' + Number + '=int'
    }
  })
}
// 数据库生产表单号
export function getNumber(time) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_外协加工任务单_查询数据_单据编号',
      param: '任务下达日期=' + time + '=string&表单号=1=string=output'
    }
  })
}
// 计算价格
export function getPrice(Number, money, money1, money2, money3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_外协加工任务单明细_修改数据',
      param: '外协加工任务单明细流水号=' + Number + '=int&加工价格_预算=' + money + '&加工价格_成交=' + money1 + '&材料价格_价格=' + money2 + '&其他价格=' + money3 + '&入库标志=1=int&交检数量=0=int&合格数量=0=int&回用数量=0=int&废品数量=0=int'
    }
  })
}
export function handlechange(Number, code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_工作者',
      param: '工序流水号=' + Number + '&工作者考勤编号=' + code
    }
  })
}
